FREECIV(6)

NAME
freeciv-gtk2, freeciv-gtk3, freeciv-gtk3.22, freeciv-sdl, freeciv-sdl2, freeciv-qt, freeciv-xaw - The clients for the Freeciv game

SYNOPSIS
freeciv-gtk2|freeciv-gtk3|freeciv-gtk3.22|freeciv-sdl|freeciv-sdl2|freeciv-qt|freeciv-xaw [ -A|--Announce protocol ] [ -a|--autoconnect ] [ -d|--debug level_number ] [ -F|--Fatal [ signal_number ] ] [ -f|--file filename ] [ -h|--help ] [ -l|--log filename ] [ -M|--Meta URL ] [ -n|--name name ] [ -p|--port port ] [ -P|--Plugin string ] [ -r|--read filename ] [ -s|--server address ] [ -S|--Sound name ] [ -t|--tiles name ] [ -v|--version ] [ -- client-specific-parameters ] freeciv-gtk2 accepts the standard Gtk parameters following --; see the Gtk documentation. It also accepts [ -h|--help ] freeciv-gtk3 accepts the standard Gtk parameters following --; see the Gtk documentation. It also accepts [ -g|--gtk-warnings ] [ -h|--help ] [ -r|--resolution WIDTHxHEIGHT ] freeciv-gtk3.22 accepts the standard Gtk parameters following --; see the Gtk documentation. It also accepts freeciv-qt accepts the standard Qt parameters following --; see the Qt documentation. It also accepts [ -h|--help ] freeciv-sdl accepts the following parameters following --: [ -e|--eventthread ] [ -f|--fullscreen ] [ -h|--help ] [ -t|--theme string ] freeciv-sdl2 accepts the following parameters following --: [ -f|--fullscreen ] [ -h|--help ] [ -t|--theme string ] freeciv-xaw accepts the standard X11 toolkit parameters following --; see X(7) . It also accepts [ -h|--help ]

DESCRIPTION
Freeciv is a free turn-based multiplayer strategy game, in which each player becomes the leader of a civilization, fighting to obtain the ultimate goal: To become the greatest civilization. Players of Civilization II® by Microprose® should feel at home, since one aim of Freeciv is to have compatible rules. Freeciv is maintained by an international team of coders and enthusiasts, and is easily one of the most fun and addictive network games out there! This is the client program used to connect to a Freeciv server - see also freeciv-server(6) . freeciv-gtk2, freeciv-gtk3, freeciv-gtk3.22, freeciv-qt, freeciv-sdl, and freeciv-sdl2 can also spawn their own local server for single-player games. This manual page only lists the command line arguments. For more details about using freeciv-gtk2, freeciv-gtk3,freeciv-gtk3.22, freeciv-sdl, freeciv-sdl2, freeciv-qt, or freeciv-xaw, see the Client Manual which can be found at the Freeciv website (http://www.freeciv.org/) as well as the documentation which is part of the Freeciv distribution.

OPTIONS
The following options are accepted by all clients. They may not be combined; that is, "-np caesar 5557" will not work, instead you would need to enter "-n caesar -p 5557". All options have a short form (single hyphen and single letter) and a long form (double hyphen and a complete word); their effects are identical.

-A protocol, --Announce protocol
    Uses protocol when searching for games on a LAN. Possible values for protocol are: IPv4 IPv6 none

-a, --autoconnect
    Skips the connect dialog, automatically inserting the default values. This is quite convenient when all has been set up properly.

-d level_number, --debug level_number
    Sets the amount of debugging information to be logged in the file named by the -l option. Acceptable values for the level_number are: 0 for fatal messages only. 1 for fatal and error messages. 2 for fatal, error and normal messages (default). 3 for fatal, error, normal, and verbose messages.

-F [ signal_number ], --Fatal [ signal_number ]
    Raise a custom signal on failed assertion. If signal_number is not specified, then the ABRT signal will be used.

-f filename, --file filename
    Loads a saved game file (filename). This is for reloading previously saved games, or for starting scenarios from the command line.

-h, --help
    Prints a short summary of the standard command line options.

-l filename, --log filename
    Defines a log file, filename, to be produced during processing. Use the -d option to set how much is logged. By default, fatal, error, and normal messages are printed to standard output. With a log file, such messages go to the log instead. If filename already exists, it is appended to.

-M URL, --Meta URL
    Specifies the URL of the metaserver to connect to. A metaserver is a place where Freeciv servers can publish their presence. Freeciv clients consult the metaserver to offer users a selection of games to join. By default, the standard metaserver run by the Freeciv maintainers will be used.

-n name, --name name
    Specifies the user name (name) to use to connect to the server. This option is critical when reconnecting to a game. Please note that you might need to quote your username.

-p port, --port port
    Specifies the server port to connect to. By default this is 5556, if in doubt ask the server administrator.

-P string, --Plugin string
    Specifies the plugin to use for sound output. Available options for string are: none sdl

-r filename, --read filename
    Specifies a file, filename, of server commands which a server spawned by the client will automatically read and process, as if you had typed them in at the server's prompt.

-s address, --server address
    Specifies the game server address to connect to. This server might easily run on the same machine as the client.

-S name, --Sound name
    Specifies the sound set to use. A file called name.soundspec is searched for in the usual places (see the FILES section).

-t name, --tiles name
    Specifies the map graphics ("tiles") to be used within the game. A file called name.tilespec is searched for in the usual places (see the FILES section). Currently the following tilespecs are distributed with Freeciv: • amplio2.tilespec • cimpletoon.tilespec • hex2t.tilespec • isophex.tilespec • isotrident.tilespec • trident.tilespec

-v, --version
    Prints the version number and exits.

--  All parameters following this -- will be considered as client-specific parameters.

-- -e, -- --eventthread
    Initializes the event subsystem in other thread. Only available for the freeciv-sdl client under Linux or BeOS.

-- -f, -- --fullscreen
    Starts the client in full screen mode. Only implemented in the freeciv-sdl and freeciv-sdl2 client.

-- -h, -- --help
    Print the client-specific parameter help.

-- -r WIDTHxHEIGHT, -- --resolution WIDTHxHEIGHT
    Behave as if screen resolution were WIDTHxHEIGHT. Only implemented in the freeciv-gtk3 and freeciv-gtk3.22 clients.

-- -t theme, -- --theme theme
    Use a particular GUI theme. Only implemented in the freeciv-sdl and freeciv-sdl2 clients.

EXAMPLES

freeciv-gtk3 --name "King Richard" --server io.daimi.aau.dk
    Starts the GTK3 client using the name King Richard and connecting to the server at io.daimi.aau.dk.

freeciv-sdl -a -t trident
    Starts the SDL client with the trident tiles and autoconnects to localhost.

FILES

~/.freeciv/freeciv-client-rc-[version-number]
    This is where your local settings will be stored.

tilespecs
    These are searched for in the data path; see ENVIRONMENT.

soundspecs
    These are searched for in the data path; see ENVIRONMENT.

The freeciv-modpack(6) utility can be used to locate and download additional content such as tilesets and soundsets and (for client-spawned servers only) scenarios and rulesets; it saves files under ~/.freeciv .

ENVIRONMENT
The Freeciv client accepts these environment variables:

FREECIV_CAPS
    A string containing a list of "capabilities" provided by the server. The compiled-in default should be correct for most purposes, but if you are familiar with the capability facility in the source you may use it to enforce some constraints between clients and server.

FREECIV_COMPRESSION_LEVEL
    Sets the compression level for network traffic.

FREECIV_DATA_ENCODING
    Sets the character encoding used for data files, savegames, and network strings). This should not normally be changed from the default of UTF-8, since that is the format of the supplied rulesets and the standard network protocol.

FREECIV_INTERNAL_ENCODING
    Sets the character encoding used internally by the freeciv client. This generally needs to match the GUI toolkit, so its default depends on the specific client; most clients default to UTF-8.

FREECIV_LOCAL_ENCODING
    Sets the local character encoding (used for the command line and terminal output). The default is inferred from other aspects of the environment.

FREECIV_MULTICAST_GROUP
    Sets the multicast group (for the LAN tab).

FREECIV_DATA_PATH
    A colon separated list of directories pointing to the freeciv data directories. By default Freeciv looks in the following directories, in order, for any data files: the current directory; the "data" subdirectory of the current directory; the subdirectory ".freeciv/2.6" in the user's home directory; and the directory where the files are placed by running "make install". If not set, FREECIV_PATH is checked before these defaults are used.

FREECIV_SAVE_PATH
    A colon separated list of directories pointing to the freeciv save directories. By default Freeciv looks in the following directories, in order, for save files: the current directory; and the subdirectory ".freeciv/saves" in the user's home directory. If not set, FREECIV_PATH is checked before these defaults are used; in this case Freeciv also looks in "saves" potential subdirectories. (This does not affect where the server spawned by the client creates save game files; these are always created in ".freeciv/saves" in the user's home directory.)

FREECIV_SCENARIO_PATH
    A colon separated list of directories pointing to the freeciv scenario directories. By default Freeciv looks in the following directories, in order, for scenario files: the current directory; the "data/scenarios" subdirectory of the current directory; the subdirectories ".freeciv/2.6/scenarios" and then ".freeciv/scenarios" in the user's home directory; and the directory where the files are placed by running "make install". If not set, FREECIV_PATH is checked before these defaults are used; in this case Freeciv also looks in "scenario" and "scenarios" potential subdirectories. (This does not affect where the server spawned by the client creates scenario files; these are always created in ".freeciv/scenarios" in the user's home directory.)

FREECIV_PATH
    A colon separated list of directories to look for various files. This variable has no effect if FREECIV_DATA_PATH, FREECIV_SAVE_PATH and FREECIV_SCENARIO_PATH are defined together; those variables are the recommended way to override paths, with FREECIV_PATH provided only for backward compatibility with older versions of Freeciv; FREECIV_PATH will be removed in a future release. The precise search path depends on the type of file being searched for.

FREECIV_OPT
    Specifies a file to contain local settings, instead of ~/.freeciv/freeciv-client-rc-[version-number].

HOME
    Specifies the user's home directory.

http_proxy
    Set this variable accordingly when using a proxy.

LANG  or  LANGUAGE
    Sets the language and locale on some platforms.

LC_ALL  or  LC_CTYPE
    Similar to LANG (see documentation for your system).

USER
    Specifies the username of the current user.

BUGS
Please report bugs to the Freeciv bug tracker (https://www.hostedredmine.com/projects/freeciv) .

MORE INFO
See the Freeciv homepage (http://www.freeciv.org/) . Updates and new info is first posted there.

AUTHORS
The Freeciv Team <freeciv-dev AT freelists.org>. This manpage was originally put together by Florian Ernst <florian_ernst AT gmx.net> using the Client Manual and the comments in the sourcecode. It was updated by Ben Bettin <bwbettin AT gmail.com> to add new features, integrate information from the website's online documentation, and for slight formatting adjustments. Feel free to use it as you wish.

SEE ALSO
freeciv-server(6) freeciv-modpack(6) and the Client Manual at the Freeciv homepage.